[Stable Update] 2022-03-14 - Kernels, KDE, LibreOffice, Kodi, Qt5, Mozilla, NetworkManager, Pipewire

Hello community,

Another stable branch update with some usual updates for you.

grafik
Starting from $469 - Our MiniPC with Manjaro KDE preinstalled! Check it out

  • Most of our Kernels got updated
  • CuteFish got renewed to 0.8
  • LibreOffice is at 7.3.1 and 7.2.6
  • Systemd is renewed to 250.4
  • KDE Plasma is now at 5.24.3
  • KDE Apps (Gear) got renewed to 21.12.3
  • Kodi is at 19.4
  • Qt5 got an official update after one year and is now at 5.15.3 including the regular KDE patch-sets. Be sure you rebuild any AUR Qt package against this one.
  • Thunderbird got updated to 91.7.0
  • Firefox is at 98.0
  • NetworkManager 1.36 got it’s first point-release
  • Pipewire is at 0.3.48

:warning: AUR (Arch User Repository) packages are neither supported by Arch nor Manjaro. Posts about them in Annoucement topics are off-topic and will be flagged, moved or removed without warning.

:information_source: You may need to rebuild any AUR packages that install files to site-packages:

You may need to rebuild any Python packages you’ve installed from the AUR. To get a list of them, you can run:

pacman -Qoq /usr/lib/python3.9

And to rebuild them all at once with an AUR helper such as yay, you can do:

yay -S $(pacman -Qoq /usr/lib/python3.9) --answerclean All

But if any of the packages don’t work with Python 3.10 yet, this might fail halfway through and you’ll have to do rebuild the remaining ones one or a few at a time.

Get our latest daily developer images now from Github: Plasma, Gnome, XFCE. You get the latest stable releases of Manjaro from CDN77.


Our current supported kernels

  • linux49 4.9.306
  • linux414 4.14.271
  • linux419 4.19.233
  • linux54 5.4.184
  • linux510 5.10.105
  • linux515 5.15.28
  • linux516 5.16.14
  • linux517 5.17-rc7
  • linux515-rt 5.15.27_rt35
  • linux516-rt 5.16.2_rt19

Package Updates (Sat Mar 12 09:47:08 CET 2022)

  • stable community x86_64: 2028 new and 2011 removed package(s)
  • stable core x86_64: 68 new and 61 removed package(s)
  • stable extra x86_64: 865 new and 1050 removed package(s)
  • stable kde-unstable x86_64: 334 new and 334 removed package(s)
  • stable multilib x86_64: 65 new and 65 removed package(s)

A detailed list of all package changes can be found here.

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


Manjaro 21.2.5 Release

Qonos 21.2.5 is now available!

image

Download XFCE

Full

https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-220314-linux515.iso
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-220314-linux515.iso.sig
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-220314-linux515.iso.sha1
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-220314-linux515.iso.sha256
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-220314-linux515.iso.torrent
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-220314-linux515.iso.pkgs

Minimal

https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux515.iso
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux515.iso.sig
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux515.iso.sha1
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux515.iso.sha256
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux515.iso.torrent
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux515.iso.pkgs

Minimal (linux510)

https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux510.iso
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux510.iso.sig
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux510.iso.sha1
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux510.iso.sha256
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux510.iso.torrent
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux510.iso.pkgs

Minimal (linux54)

https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux54.iso
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux54.iso.sig
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux54.iso.sha1
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux54.iso.sha256
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux54.iso.torrent
https://download.manjaro.org/xfce/21.2.5/manjaro-xfce-21.2.5-minimal-220314-linux54.iso.pkgs

Download GNOME

Full

https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-220314-linux515.iso
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-220314-linux515.iso.sig
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-220314-linux515.iso.sha1
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-220314-linux515.iso.sha256
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-220314-linux515.iso.torrent
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-220314-linux515.iso.pkgs

Minimal

https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux515.iso
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux515.iso.sig
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux515.iso.sha1
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux515.iso.sha256
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux515.iso.torrent
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux515.iso.pkgs

Minimal (linux510)

https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux510.iso
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux510.iso.sig
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux510.iso.sha1
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux510.iso.sha256
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux510.iso.torrent
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux510.iso.pkgs

Minimal (linux54)

https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux54.iso
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux54.iso.sig
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux54.iso.sha1
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux54.iso.sha256
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux54.iso.torrent
https://download.manjaro.org/gnome/21.2.5/manjaro-gnome-21.2.5-minimal-220314-linux54.iso.pkgs

Download KDE

Full

https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-220314-linux515.iso
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-220314-linux515.iso.sig
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-220314-linux515.iso.sha1
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-220314-linux515.iso.sha256
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-220314-linux515.iso.torrent
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-220314-linux515.iso.pkgs

Minimal

https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux515.iso
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux515.iso.sig
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux515.iso.sha1
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux515.iso.sha256
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux515.iso.torrent
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux515.iso.pkgs

Minimal (linux510)

https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux510.iso
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux510.iso.sig
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux510.iso.sha1
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux510.iso.sha256
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux510.iso.torrent
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux510.iso.pkgs

Minimal (linux54)

https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux54.iso
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux54.iso.sig
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux54.iso.sha1
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux54.iso.sha256
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux54.iso.torrent
https://download.manjaro.org/kde/21.2.5/manjaro-kde-21.2.5-minimal-220314-linux54.iso.pkgs

21 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Stable Updates Announcements RSS feed


Please don’t post to say everything was great on my side or yes, I have the same error but leave the space for people having issues, or even better: for people having solutions!
Use :beer: :coffee: :heart: instead to let us know you’re suffering from the same so we can respond to the highest impacted issues first! :unicorn: :rainbow: :question:


:arrow_right: 2022-03-14

Cannot mix incompatible Qt library (5.15.2) with this library (5.15.3)
  • Check the mirror you use is up to date:
sudo pacman-mirrors -f 5 && sudo pacman -Syyu 
  • If you use qt5-styleplugins (AUR), rebuild or remove it:
pamac build qt5-styleplugins
DSL/PPPoE may require downgrading 2 packages

First please check if new bugfix version 1.36.2-1.0 of NetworkManager improves things.

If it does not, downgrade to 1.34.0 (and restart network manager after) :

sudo pacman -U https://archive.archlinux.org/packages/l/libnm/libnm-1.34.0-1-x86_64.pkg.tar.zst https://archive.archlinux.org/packages/n/networkmanager/networkmanager-1.34.0-1-x86_64.pkg.tar.zst

Bug report: FS#73948 - networkmanager 1.36.0 breaks DSL connection

Older dicussion: my-internet-connection-is-no-longer-working

mangohud (AUR) prevents Wine/Proton applications from starting
  • Consider disabling the mangohud overlay until the bug is fixed upstream.
VPN via L2TP might not work anymore

See FS#74089 - networkmanager 1.36 breaks vpn with networkmanager-l2tp

You may need to downgrade to 1.34.0:

sudo pacman -U https://archive.archlinux.org/packages/l/libnm/libnm-1.34.0-1-x86_64.pkg.tar.zst https://archive.archlinux.org/packages/n/networkmanager/networkmanager-1.34.0-1-x86_64.pkg.tar.zst

2022-02-27

Microsoft Teams does not open.

See this thread.

2022-02-05

Issues with Jack2 when using Pipewire.

Pipewire tend to replace all stuff related to Audio. This time jack2 seems to create issues. In the past pipewire-jack provided jack2. However, since the lack of dbus support that line got removed and only conflicts kept. So if you use jack2 with the dbus feature, you may want to remove the pipewire-jack package. If not you can continue and additionally install lib32-pipewire-jack package.

Last update removed linux514. What you can do.

Time to time we have to drop kernel series from our repos. So either you adopt to the new 5.15 LTS or choose any other still supported kernel we have.

sudo mhwd-kernel -r linux514
sudo pacman -Syu
sudo mhwd-kernel -i linux515
New warnings when building the fallback initcpio - Possibly missing firmware for module: bfa, qed, qla1280, qla2xxx

That’s due to the recent changes to the linux-firmware package. Note these are warnings, not errors. You only need those firmwares if you have Mellanox Spectrum switches, Marvell devices, Qualcomm SoCs, Cavium LiquidIO server adapters, QLogic devices and Broadcom NetXtreme II 10Gb ethernet adapters. if you have that hardware you can install linux-firmware-qlogic to get rid of those warnings. If you do not have that hardware you can safely ignore those warnings.

pamac install linux-firmware-qlogic

2022-01-02

Python packages from PIP and AUR - how to upgrade them - detailed instructions

Read this post.

11 Likes

Clementine don’t work
07:11:26.015 INFO CheckPortable:225 Using default config locations.
07:11:26.015 INFO main:320 Clementine-qt5 1.4 rc2
07:11:26.099 ERROR unknown Cannot mix incompatible Qt library (5.15.2) with this library (5.15.3)
Abortado (imagem do núcleo gravada)

For me, updating from firefox 97.0.2-1 to 98, some tabs just crash after trying to load, had to revert firefox to the last good version (with installing from /var/cache/pacman/pkg/) and reverted the profile with a btrfs snapper snapshot (reverted ~/.mozzilla)

Note: the tab crashing was mainly with video playback (like youtube) sites (even when stopped while loading in)
i did not try to clean my firefox profile (i dont wanna re-setup everything)
also, vaapi is not enabled (at least no explicitly)

Note: this firefox update was before this manjaro update (but it still lists it as new with this update), but it seems like the version did not change yet, so i did not try to re-install it yet

Not sure why/how/what. My Asus PB278Q monitor (via a DisplayLink Dell 6000-thingy) only has 1080p mode as its highest resolution and no longer offers 2550x1440 as an option. The other monitor from Iiyama does have a 4k mode.

It could be an update from last week (as it showed up before I upgraded on the 14th) but it was good on Friday 3/11.

As a note: upgrading libvirt in this update has different directory permission requirements on /etc/libvirt/secrets/
before: 700
after update: 755

libvirt warning
warning: directory permissions differ on /etc/libvirt/secrets/
filesystem: 700  package: 755
2 Likes

After the update (since my first message), KDE (Plasma wayland + pipewire) just crashed, but restarted on its own

so i would recommend if using KDE Plasma Wayland (+ Pipewire) to be careful to not have anything important open when installing this update

Update: the restarted KDE was more brocken than it was usable, so i had to reboot (like KDE just dosnt want to start some applications and didnt let me logout, which froze the whole KDE stack)

For me the update is broken I get the following error:
could not satisfy dependencies:

  • removing lib32-libjpeg-turbo breaks dependency ‘lib32-libjpeg’ required by lib32-gdk-pixbuf2
  • removing lib32-libjpeg-turbo breaks dependency ‘libjpeg.so=8-32’ required by lib32-libtiff

Resolved not all mirrors were synced

3 Likes

10 posts were split to a new topic: No network after laptop rebooted during updating

I’m here to report that the latest Qt update broke everything Qt related. The aforementioned report with the message

Cannot mix incompatible Qt library (5.15.2) with this library (5.15.3)

is where Qt based programs bail out. So far I’m counting VLC, KeepassXC and Nextcloud. Curious to see what else will break.

4 Likes

As I mentioned: AUR packages like qt5-styleplugins need a rebuild against the new Qt5 packages …

7 Likes

Thanks, that fixed it. I wasn’t sure what needed to be rebuilt there.

When in doubt: rebuild all AUR packages (preferrably before posting :slight_smile: ).

1 Like

It’s solved
Thank you

There’s a known bug in Firefox 98 with hardware acceleration.

2 Likes

When upgrading to 5.16.14-1, all my audio devices are gone and there’s no sound. It was working in 5.15 (Thinkpad X1 Carbon Gen 9)

EDIT: Ended up messing around with uninstalling and reinstalling packages like manjaro-pipewire and got audio working again.

A post was split to a new topic: My internet connection is no longer working

I am using Manjaro XFCE. Qt apps like Okular and Gwenview no longer work.

$ okular
Cannot mix incompatible Qt library (5.15.2) with this library (5.15.3)
Aborted (core dumped)
2 Likes

My first idea would be that you didn’t update qt5 before building for your repository.